summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Ratliff (jdratlif) <webmaster@technoplaza.net>2010-04-16 15:22:32 +0000
committerJohn Ratliff (jdratlif) <webmaster@technoplaza.net>2010-04-16 15:22:32 +0000
commit626e36c56b5ffa2c25fffe85819ec50585dca788 (patch)
tree195b77e3f99ee31b5b99c099e33c12d6cce529a3 /media-tv/kmttg/kmttg-0.7j.ebuild
parentmedia-video/bangarang: Added missing dependency to bangarang, thanks Francois... (diff)
downloadsunrise-626e36c56b5ffa2c25fffe85819ec50585dca788.tar.gz
sunrise-626e36c56b5ffa2c25fffe85819ec50585dca788.tar.bz2
sunrise-626e36c56b5ffa2c25fffe85819ec50585dca788.zip
media-tv/kmttg: Version bump for kmttg
svn path=/sunrise/; revision=10461
Diffstat (limited to 'media-tv/kmttg/kmttg-0.7j.ebuild')
-rw-r--r--media-tv/kmttg/kmttg-0.7j.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/media-tv/kmttg/kmttg-0.7j.ebuild b/media-tv/kmttg/kmttg-0.7j.ebuild
new file mode 100644
index 000000000..c89bd572b
--- /dev/null
+++ b/media-tv/kmttg/kmttg-0.7j.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A free multi-platform replacement for the TiVo Desktop software."
+HOMEPAGE="http://code.google.com/p/kmttg/"
+SRC_URI="http://omploader.org/vNDYxOQ/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="encode"
+
+RDEPEND="encode? ( media-video/ffmpeg )
+ media-video/tivodecode
+ net-misc/curl
+ >=virtual/jre-1.5"
+DEPEND=">=virtual/jdk-1.5"
+
+src_prepare() {
+ java-pkg-2_src_prepare
+ epatch "${FILESDIR}/${PN}-settings.patch"
+}
+
+src_install() {
+ java-pkg_dojar release/kmttg.jar
+ java-pkg_dolauncher kmttg --java_args "-Djava.net.preferIPv4Stack=true -Xmx256m"
+
+ insinto /usr/share/${PN}/encode
+ doins release/encode/*.enc || die
+
+ use source && java-pkg_dosrc src/com
+}